org.wso2.carbon.dataservices.ui.beans

## Class NonSQLQuery

- java.lang.Object
- - org.wso2.carbon.dataservices.ui.beans.DataServiceConfigurationElement
  - - org.wso2.carbon.dataservices.ui.beans.NonSQLQuery

- Direct Known Subclasses:
    CSVQuery, ExcelQuery, WebQuery

      public abstract class NonSQLQuery
      extends DataServiceConfigurationElement

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String[]` | `columnNames`
    `protected String[]` | `columnOrder`
    `protected boolean` | `hasHeaders`
    `protected int` | `headerRow`
    `protected int` | `maxRowCount`
    `protected int` | `startingRow`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NonSQLQuery()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract org.apache.axiom.om.OMElement` | `buildXML()` Generates XML representation of Object
    `String[]` | `getColumnNames()`
    `String[]` | `getColumnOrder()`
    `int` | `getHeaderRow()`
    `int` | `getMaxRowCount()`
    `int` | `getStartingRow()`
    `boolean` | `hasHeaders()`
    `void` | `setColumnNames(String[] columnNamesArray)`
    `void` | `setColumnOrder(String[] columnOrderArray)`
    `void` | `setHasHeaders(String value)`
    `void` | `setHeaderRow(String value)`
    `void` | `setMaxRowCount(String value)`
    `void` | `setStartingRow(String value)`

    - ### Methods inherited from class org.wso2.carbon.dataservices.ui.beans.DataServiceConfigurationElement

      `extractAdvancedProps, getRequiredRoles, getXsdType, setRequiredRoles, setxsdType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### hasHeaders

          protected boolean hasHeaders

    - #### startingRow

          protected int startingRow

    - #### maxRowCount

          protected int maxRowCount

    - #### headerRow

          protected int headerRow

    - #### columnNames

          protected String[] columnNames

    - #### columnOrder

          protected String[] columnOrder

  - ### Constructor Detail

    - #### NonSQLQuery

          public NonSQLQuery()

  - ### Method Detail

    - #### hasHeaders

          public boolean hasHeaders()

    - #### setHasHeaders

          public void setHasHeaders(String value)

    - #### getStartingRow

          public int getStartingRow()

    - #### setStartingRow

          public void setStartingRow(String value)

    - #### getMaxRowCount

          public int getMaxRowCount()

    - #### setMaxRowCount

          public void setMaxRowCount(String value)

    - #### getHeaderRow

          public int getHeaderRow()

    - #### setHeaderRow

          public void setHeaderRow(String value)

    - #### getColumnNames

          public String[] getColumnNames()

    - #### setColumnNames

          public void setColumnNames(String[] columnNamesArray)

    - #### getColumnOrder

          public String[] getColumnOrder()

    - #### setColumnOrder

          public void setColumnOrder(String[] columnOrderArray)

    - #### buildXML

          public abstract org.apache.axiom.om.OMElement buildXML()

      Description copied from class: `DataServiceConfigurationElement`
      Generates XML representation of Object
      Specified by:
        `buildXML` in class `DataServiceConfigurationElement`
      Returns:
        OMElement

Copyright © 2019 WSO2. All rights reserved.